WriteExceptionDescriptorResponseAsync Method
Definition
- Namespace
- Cuemon.AspNetCore.Http
- Assemblies
- Cuemon.AspNetCore.dll
WriteExceptionDescriptorResponseAsync(IDecorator<HttpContext>, HttpExceptionDescriptorResponseHandler, HttpExceptionDescriptor, CancellationToken)
Invokes and write the result from the specified handler to the response body. Not intended to be used directly from your code.
public static Task WriteExceptionDescriptorResponseAsync(this IDecorator<HttpContext> decorator, HttpExceptionDescriptorResponseHandler handler, HttpExceptionDescriptor exceptionDescriptor, CancellationToken ct)
Parameters
decoratorIDecorator<HttpContext>The IDecorator<T> to extend.
handlerHttpExceptionDescriptorResponseHandlerThe HttpExceptionDescriptorResponseHandler that holds the content negotiation response.
exceptionDescriptorHttpExceptionDescriptorThe HttpExceptionDescriptor that provides information about an Exception.
ctCancellationTokenThe cancellation token that can be used by other objects or threads to receive notice of cancellation.
Returns
- Task
A Task representing the asynchronous operation.